> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Scorecard



## OpenAPI

````yaml /openapi/cortex_swagger.json get /api/v1/scorecards/{tag}
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/scorecards/{tag}:
    get:
      tags:
        - Scorecards
      summary: Retrieve Scorecard
      operationId: getScorecard
      parameters:
        - description: Unique tag for the Scorecard
          example: my-production-readiness-checklist
          in: path
          name: tag
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScorecardDescriptorResponse'
          description: Successfully retrieved Scorecard
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Scorecard not found
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    ScorecardDescriptorResponse:
      required:
        - scorecard
      type: object
      properties:
        scorecard:
          $ref: '#/components/schemas/ScorecardResponse'
    ErrorResponse:
      required:
        - message
        - type
      type: object
      properties:
        details:
          type: string
        errorCode:
          type: string
        gatewayHttpStatus:
          type: integer
          format: int32
        httpStatus:
          type: integer
          format: int32
        message:
          type: string
        requestId:
          type: string
        type:
          type: string
          enum:
            - INTEGRATION_MISSING
            - INTEGRATION_UNREGISTERED
            - INTEGRATION_UNSUPPORTED
            - INTEGRATION_GRAPHQL_ERROR
            - INTEGRATION_BAD_REQUEST
            - INTEGRATION_UNAUTHORIZED
            - INTEGRATION_FORBIDDEN
            - INTEGRATION_NOT_FOUND
            - INTEGRATION_UNPROCESSABLE_CONTENT
            - INTEGRATION_RATE_LIMITED
            - INTEGRATION_INTERNAL_ERROR
            - INTEGRATION_NOT_IMPLEMENTED
            - INTEGRATION_BAD_GATEWAY
            - INTEGRATION_UNAVAILABLE
            - INTEGRATION_GATEWAY_TIMEOUT
            - INTEGRATION_TIMED_OUT
            - INTEGRATION_CACHE_ERROR
            - INTEGRATION_UNHANDLED_HTTP_ERROR
            - INTEGRATION_UNHANDLED_EXCEPTION
            - INTEGRATION_UNEXPECTED_ERROR
            - ILLEGAL_ARGUMENT_ERROR
            - BAD_REQUEST
            - FORBIDDEN
            - NOT_FOUND
            - REQUEST_TIMEOUT
            - CONFLICT
            - UNHANDLED_EXCEPTION
            - UNCATEGORIZED
            - SERVICE_CREATOR
            - UNKNOWN_HOST
            - TOO_MANY_REQUESTS
    ScorecardResponse:
      required:
        - dateCreated
        - exemptions
        - isDraft
        - lastUpdated
        - name
        - notifications
        - rules
        - tag
      type: object
      properties:
        dateCreated:
          type: string
          description: Time the Scorecard was created
          format: date-time
        description:
          type: string
          description: Human-readable description of the Scorecard
        evaluation:
          $ref: '#/components/schemas/EvaluationDetails'
        exemptions:
          $ref: '#/components/schemas/ExemptionsSettings'
        filter:
          $ref: '#/components/schemas/Filter'
        isDraft:
          type: boolean
          description: Whether or not the Scorecard is in draft
        lastUpdated:
          type: string
          description: >-
            Time the Scorecard was last updated, which includes setting the next
            evaluation time
          format: date-time
        levels:
          type: array
          description: List of levels associated with the Scorecard
          items:
            $ref: '#/components/schemas/LadderLevel'
        name:
          type: string
          description: Human-readable name
          example: Production Readiness Scorecard
        notifications:
          $ref: '#/components/schemas/Notifications'
        rules:
          type: array
          description: >-
            List of rules that are evaluated each time the Scorecard is
            evaluated
          items:
            $ref: '#/components/schemas/ScorecardRule'
        tag:
          type: string
          description: Unique identifier, found in the UI
          example: production-readiness-scorecard
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
    EvaluationDetails:
      type: object
      properties:
        window:
          type: integer
          description: >-
            Number of hours between Scorecard evaluations. If the evaluation
            window is not set, the Scorecard is evaluated every 4 hours
          format: int64
          example: 4
      description: Evaluation window for how often the Scorecard is run
    ExemptionsSettings:
      required:
        - autoApprove
        - enabled
      type: object
      properties:
        autoApprove:
          type: boolean
          description: >-
            This will enable auto-approving of Scorecard rule exemptions. If not
            set, it defaults to false.
          example: false
        enabled:
          type: boolean
          description: >-
            This will enable Scorecard rule exemptions. If not set, it defaults
            to true.
          example: true
      description: Exemptions settings for the Scorecard
    Filter:
      type: object
      properties:
        groups:
          $ref: '#/components/schemas/GroupFilter'
        query:
          type: string
          description: CQL expression to apply as a filter
        types:
          $ref: '#/components/schemas/TypeFilter'
      description: Filter that selects the entities in the catalog, for `FILTER` catalogs
    LadderLevel:
      type: object
      properties:
        level:
          $ref: '#/components/schemas/CurrentLevel'
    Notifications:
      required:
        - enabled
        - scoreDropNotificationsEnabled
      type: object
      properties:
        enabled:
          type: boolean
          description: >-
            Whether this Scorecard should be included in notifications. If not
            set, it defaults to true for non-draft Scorecards and to false for
            draft Scorecards
          example: true
        scoreDropNotificationsEnabled:
          type: boolean
          description: >-
            Whether to notify when an entities' score drops after a Scorecard
            evaluation. If not set, it defaults to false
          example: true
      description: Notification settings for the Scorecard
    ScorecardRule:
      required:
        - expression
      type: object
      properties:
        description:
          type: string
          example: This rule is very important because you must pass it
        effectiveFrom:
          type: string
          description: Date when the rule starts being evaluated
          format: date-time
          example: '2024-01-01T00:00:00Z'
        expression:
          type: string
          description: CQL representation of the rule
          example: custom("key") = "value"
        failureMessage:
          type: string
          example: To fix this rule, visit [our internal doc][docs.cortex.io]
        filter:
          $ref: '#/components/schemas/Filter'
        identifier:
          type: string
          description: Unique identifier of the rule
          example: 96db03f1-2529-3fc3-9f13-7fb4dd28f427
        levelName:
          type: string
          description: Name of the level this rule is associated with, if applicable
        title:
          type: string
          example: Key value must be correct
        weight:
          type: number
          description: Numerical weight of the rule. When using levels, this defaults to 1
      description: List of rules that are evaluated each time the Scorecard is evaluated
    GroupFilter:
      type: object
      properties:
        exclude:
          uniqueItems: true
          type: array
          items:
            type: string
        include:
          uniqueItems: true
          type: array
          items:
            type: string
      description: Entity groups to include or exclude
    TypeFilter:
      type: object
      properties:
        exclude:
          uniqueItems: true
          type: array
          items:
            type: string
        include:
          uniqueItems: true
          type: array
          items:
            type: string
      description: >-
        Entity types (e.g. service, domain, team) to include or exclude. Only
        one of `include` or `exclude` can be set
    CurrentLevel:
      required:
        - name
        - number
      type: object
      properties:
        name:
          type: string
          description: Name of the level
          example: Bronze
        number:
          type: integer
          description: Rank of the level where 1 is the highest
          format: int32
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [Retrieve Scorecard scores](/api/rest/scorecards/retrieve-scorecard-scores.md)
- [Scorecards](/api/rest/scorecards.md)
- [Retrieve Scorecard descriptor](/api/rest/scorecards/retrieve-scorecard-descriptor.md)
